<div *ngIf="pageType === 'personalInfo'" class="personal-info">
    <h5>Personal Information</h5>
    <section class="info-view" *ngIf="!toggleProfileInfo">
        <div class="info">
            <p>Name of Employee:&nbsp; </p>
            <span>{{profileContext?.name}}</span>
        </div>
        <div class="info">
            <p>Job Title:&nbsp; </p>
            <span>{{profileContext?.jobTilte}}</span>
        </div>
        <div class="info">
            <p>Last Name:&nbsp; </p>
            <span class="green-text">{{profileContext?.lastName}}</span>
        </div>
        <div class="info">
            <p>First Name:&nbsp; </p>
            <span class="green-text">{{profileContext?.firstName}}</span>
        </div>
        <div class="info">
            <p>Middle Name:&nbsp; </p>
            <span class="green-text">{{profileContext?.middleName}}</span>
        </div>
    </section>
    <section class="form-view" *ngIf="toggleProfileInfo">
        <form [formGroup]="profileInfoForm">
            <mat-form-field>
                <mat-label>Name of Employee</mat-label>
                <input matInput formControlName="employeeName" required autocomplete="off" />
            </mat-form-field>
            <mat-form-field>
                <mat-label>Job Title</mat-label>
                <input matInput formControlName="jobTitle" required autocomplete="off" />
            </mat-form-field>
            <mat-form-field>
                <mat-label>Last Name</mat-label>
                <input matInput formControlName="lastName" required autocomplete="off" />
            </mat-form-field>
            <mat-form-field>
                <mat-label>First Name</mat-label>
                <input matInput formControlName="firstName" required autocomplete="off" />
            </mat-form-field>
            <mat-form-field>
                <mat-label>Middle Name</mat-label>
                <input matInput formControlName="middleName" required autocomplete="off" />
            </mat-form-field>
        </form>
    </section>
    <div class="btn-group">
        <button mat-button class="button-primary" *ngIf="!toggleProfileInfo"
            (click)="toggleProfileInfo = !toggleProfileInfo">Edit</button>
        <button mat-button class="button-primary cancel-btn" *ngIf="toggleProfileInfo"
            (click)="toggleProfileInfo = !toggleProfileInfo">Cancel</button>
        <button mat-button class="button-primary" [disabled]="!profileInfoForm.valid"
            *ngIf="toggleProfileInfo" (click)="onSubmitProfileInfo()">Submit</button>
    </div>
</div>
<div *ngIf="pageType === 'contactInfo'" class="personal-info">
    <h5>Contact Information</h5>
    <section class="info-view" *ngIf="!toggleContactInfo">
        <div class="info">
            <p>Mobile No:&nbsp; </p>
            <span class="green-text">{{profileContext?.mobileNumber}}</span>
        </div>
        <div class="info">
            <p>Home Phone No:&nbsp; </p>
            <span class="green-text">{{profileContext?.homePhoneNumber}}</span>
        </div>
        <div class="info">
            <p>Home Country Phone:&nbsp; </p>
            <span class="green-text">{{profileContext?.homeCountryNumber}}</span>
        </div>
        <div class="info">
            <p>Personal Email:&nbsp; </p>
            <span class="green-text">{{profileContext?.emailAddress}}</span>
        </div>
        <div class="info multiline-info">
            <p>Residential Address:&nbsp; </p>
            <span class="green-text">{{profileContext?.residentialAddresss}}</span>
        </div>
        <div class="info multiline-info">
            <p>Mailing Address:&nbsp; </p>
            <span class="green-text">{{profileContext?.mailingAddress}}</span>
        </div>
    </section>
    <section class="form-view" *ngIf="toggleContactInfo">
        <form [formGroup]="contactInfoForm">
            <mat-form-field>
                <mat-label>Mobile No</mat-label>
                <input type="tel" matInput formControlName="mobileNumber" required autocomplete="off" />
            </mat-form-field>
            <mat-form-field>
                <mat-label>Home Phone No</mat-label>
                <input matInput type="tel" formControlName="homePhoneNumber" required autocomplete="off" />
            </mat-form-field>
            <mat-form-field>
                <mat-label>Home Country Phone</mat-label>
                <input matInput type="tel" formControlName="homeCountryPhone" required autocomplete="off" />
            </mat-form-field>
            <mat-form-field>
                <mat-label>Personal Email</mat-label>
                <input matInput type="email" formControlName="personalEmail" required autocomplete="off" />
            </mat-form-field>
            <mat-form-field>
                <mat-label>Residential Address</mat-label>
                <textarea matInput placeholder="Residential Address" maxlength="150" rows="2"
                    formControlName="residentialAddress"></textarea>
            </mat-form-field>
            <mat-form-field>
                <mat-label>Mailing Address</mat-label>
                <textarea matInput placeholder="Mailing Address" maxlength="150" rows="2"
                    formControlName="mailingAddress"></textarea>
            </mat-form-field>
        </form>
    </section>
    <div class="btn-group">
        <button mat-button class="button-primary" *ngIf="!toggleContactInfo"
            (click)="toggleContactInfo = !toggleContactInfo">Edit</button>
        <button mat-button class="button-primary cancel-btn" *ngIf="toggleContactInfo"
            (click)="toggleContactInfo = !toggleContactInfo">Cancel</button>
        <button mat-button class="button-primary" [disabled]="!contactInfoForm.valid"
            *ngIf="toggleContactInfo" (click)="onSubmitContactInfo()">Submit</button>
    </div>
</div>
<div *ngIf="pageType === 'emergency'" class="personal-info">
    <h5>Emergency Contact Details</h5>
    <section class="info-view" *ngIf="!toggleEmergencyInfo">
        <ng-container *ngFor="let emergencyInfo of profileContext?.emergencyContactInfos; let i = index">
            <div class="info">
                <p>Full Name: &nbsp; </p>
                <span class="green-text">{{emergencyInfo?.fullName}}</span>
            </div>
            <div class="info">
                <p>Relationship :&nbsp; </p>
                <span class="green-text">{{emergencyInfo?.relationship}}</span>
            </div>
            <div class="info">
                <p>Mobile No :&nbsp; </p>
                <span class="green-text">{{emergencyInfo?.mobileNumber}}</span>
            </div>
            <div class="info">
                <p>Phone No :&nbsp; </p>
                <span class="green-text">{{emergencyInfo?.phoneNumber}}</span>
            </div>
        </ng-container>
    </section>
    <section class="form-view" *ngIf="toggleEmergencyInfo">
        <form [formGroup]="emergencyInfoForm">
            <mat-card class="row" *ngFor="let emergencyInfo of emergencyInfoArr.controls; let i = index"
                [formGroup]="emergencyInfo">
                <mat-form-field>
                    <mat-label>Full Name</mat-label>
                    <input type="text" matInput formControlName="fullName" required autocomplete="off" />
                </mat-form-field>
                <mat-form-field>
                    <mat-label>Relationship</mat-label>
                    <input matInput type="text" formControlName="relationship" required autocomplete="off" />
                </mat-form-field>
                <mat-form-field>
                    <mat-label>Mobile No</mat-label>
                    <input matInput type="tel" formControlName="mobileNumber" required autocomplete="off" />
                </mat-form-field>
                <mat-form-field>
                    <mat-label>Phone No</mat-label>
                    <input matInput type="tel" formControlName="phoneNumber" required autocomplete="off" />
                </mat-form-field>
                <div class="remove-action" *ngIf="i > 0">
                    <button type="reset" mat-mini-fab class="add-remove-item remove"
                        (click)="removeEmergencyInfo(i)">-</button>
                </div>
            </mat-card>
            <div class="add-action">
                <span><button mat-mini-fab (click)="addEmergencyInfo()">+</button></span> <span class="text-btn">Add</span>
            </div>
        </form>
    </section>
    <div class="btn-group">
        <button mat-button class="button-primary" *ngIf="!toggleEmergencyInfo"
            (click)="toggleEmergencyInfo = !toggleEmergencyInfo">Edit</button>
        <button mat-button class="button-primary cancel-btn" *ngIf="toggleEmergencyInfo"
            (click)="toggleEmergencyInfo = !toggleEmergencyInfo">Cancel</button>
        <button mat-button class="button-primary" [disabled]="!emergencyInfoForm.valid"
            *ngIf="toggleEmergencyInfo" (click)="onSubmitEmergencyInfo()">Submit</button>
    </div>
</div>
<div *ngIf="pageType === 'familyInfo'" class="personal-info">
    <h5>Family/Dependent Information</h5>
    <section class="info-view" *ngIf="!toggleFamilyInfo">
        <div class="family-list" *ngFor="let familyInfo of profileContext?.familyInfos">
            <div class="info">
                <p>Full Name:&nbsp; </p>
                <span class="green-text">{{familyInfo?.fullName}}</span>
            </div>
            <div class="multi-column-info">
                <div class="info left-info">
                    <p>Relationship :&nbsp; </p>
                    <span>{{familyInfo?.relationship}}</span>
                </div>
                <div class="info right-info">
                    <p>Age :&nbsp; </p>
                    <span class="green-text">{{familyInfo?.age}}</span>
                </div>
            </div>
        </div>
    </section>
    <section class="form-view" *ngIf="toggleFamilyInfo">
        <form [formGroup]="familyInfoForm">
            <mat-card class="row" *ngFor="let familyInfo of familyInfoArr.controls; let i = index"
                [formGroup]="familyInfo">
                <!-- <span class="s-no">{{i+1}}</span> -->
                <mat-form-field>
                    <mat-label>Full Name</mat-label>
                    <input type="text" matInput formControlName="fullName" required autocomplete="off" />
                </mat-form-field>
                <div class="multi-column-info">
                    <mat-form-field class="left-info">
                        <mat-label>Relationship</mat-label>
                        <input matInput type="text" formControlName="relationship" required autocomplete="off" />
                    </mat-form-field>
                    <mat-form-field class="right-info">
                        <mat-label>Age</mat-label>
                        <input matInput type="text" formControlName="age" required autocomplete="off" />
                    </mat-form-field>
                </div>
                <div class="remove-action" *ngIf="i > 0">
                    <button type="reset" mat-mini-fab class="add-remove-item remove"
                        (click)="removeFamilyInfo(i)">-</button>
                </div>
            </mat-card>
            <div class="add-action">
                <span><button mat-mini-fab (click)="addFamilyInfo()">+</button></span> <span class="text-btn">Add</span>
            </div>
        </form>
    </section>
    <div class="btn-group">
        <button mat-button class="button-primary" *ngIf="!toggleFamilyInfo"
        (click)="toggleFamilyInfo = !toggleFamilyInfo">Edit</button>
        <button mat-button class="button-primary cancel-btn" *ngIf="toggleFamilyInfo"
        (click)="toggleFamilyInfo = !toggleFamilyInfo">Cancel</button>
        <button mat-button class="button-primary" [disabled]="!familyInfoForm.valid"
            *ngIf="toggleFamilyInfo" (click)="onSubmitFamilyInfo()">Submit</button>
    </div>
</div>

<div *ngIf="pageType === 'educationInfo'" class="personal-info">
    <h5>Education Information</h5>
    <section class="info-view" *ngIf="!toggleEducationInfo">
        <div class="family-list" *ngFor="let educationInfo of profileContext?.educationInfos">
            <div class="info" *ngIf="educationInfo.educationName !== undefined">
                <p>Education:&nbsp; </p>
                <span class="weight">{{educationInfo?.educationName}}</span>
            </div>
            <div class="info">
                <p>Relationship :&nbsp; </p>
                <span class="weight">{{educationInfo?.relationship}}</span>
            </div>
            <div class="info">
                <p>Institute Name :&nbsp; </p>
                <span class="weight">{{educationInfo?.instituteName}}</span>
            </div>
            <div class="info">
                <p>Year Completed :&nbsp; </p>
                <span class="green-text">{{educationInfo?.yearCompleted}}</span>
            </div>
        </div>
        <div class="family-list" *ngFor="let educationInfo of profileContext?.professionalInfos">
            <div class="info" *ngIf="educationInfo.educationName !== undefined">
                <p>Professional Accreditation:&nbsp; </p>
                <span class="weight">{{educationInfo?.educationName}}</span>
            </div>
            <div class="info">
                <p>Relationship :&nbsp; </p>
                <span class="weight">{{educationInfo?.relationship}}</span>
            </div>
            <div class="info">
                <p>Institute Name :&nbsp; </p>
                <span class="weight">{{educationInfo?.instituteName}}</span>
            </div>
            <div class="info">
                <p>Year Completed :&nbsp; </p>
                <span class="green-text">{{educationInfo?.yearCompleted}}</span>
            </div>
        </div>
    </section>
    <section class="form-view" *ngIf="toggleEducationInfo">
        <form [formGroup]="educationInfoForm">
            <mat-card class="row" *ngFor="let educationInfo of educationInfoArr.controls; let i = index"
                [formGroup]="educationInfo">
                <mat-form-field>
                    <mat-label>Select</mat-label>
                    <mat-select formControlName="educationType">
                        <mat-option *ngFor="let x of selection" [value]="x.viewValue" (click)="changeEducationType(i, x.viewValue)">
                            {{x.viewValue}}
                        </mat-option>
                    </mat-select>
                </mat-form-field>
                <mat-form-field *ngIf="educationInfo.controls['educationType'].value === 'Education'">
                    <mat-label>Education</mat-label>
                    <input type="text" matInput formControlName="education" required autocomplete="off" />
                </mat-form-field>
                <mat-form-field *ngIf="educationInfo.controls['educationType'].value === 'Proffesional Accreditation'">
                    <mat-label>Proffesional Accreditation</mat-label>
                    <input type="text" matInput formControlName="professionalAccreditation" required autocomplete="off" />
                </mat-form-field>
                <mat-form-field>
                    <mat-label>Relationship</mat-label>
                    <input type="text" matInput formControlName="relationship" required autocomplete="off" />
                </mat-form-field>
                <mat-form-field>
                    <mat-label>Institute Name</mat-label>
                    <input type="text" matInput formControlName="instituteName" required autocomplete="off" />
                </mat-form-field>
                <mat-form-field>
                    <mat-label>Year Completed</mat-label>
                    <input type="tell" matInput formControlName="yearCompleted" required autocomplete="off" />
                </mat-form-field>
                <div class="remove-action" *ngIf="i > 0">
                    <button type="reset" mat-mini-fab class="add-remove-item remove"
                        (click)="removeEducationInfo(i)">-</button>
                </div>
            </mat-card>
            <div class="add-action">
                <span><button mat-mini-fab (click)="addEducationInfo(null, '')">+</button></span> <span
                    class="text-btn">Add</span>
            </div>
        </form>
    </section>
    <div class="btn-group">
        <button mat-button class="button-primary" *ngIf="!toggleEducationInfo"
            (click)="toggleEducationInfo = !toggleEducationInfo">Edit</button>
        <button mat-button class="button-primary cancel-btn" *ngIf="toggleEducationInfo"
            (click)="toggleEducationInfo = !toggleEducationInfo">Cancel</button>
        <button mat-button class="button-primary" [disabled]="!educationInfoForm.valid"
            *ngIf="toggleEducationInfo" (click)="onSubmitEducationInfo()">Submit</button>
    </div>
</div>
<div *ngIf="pageType === 'password'" class="personal-info">
    <h5>Change Password</h5>
    <section class="info-view" *ngIf="!togglePasswordInfo">
        <div class="info">
            <p>Current Password :</p>
            <span class="weight">Lorem Impsm</span>
        </div>
        <!-- <div class="info">
            <p>New Password :</p>
            <span class="weight">Lorem Impsm</span>
        </div>
        <div class="info">
            <p>Confirm New Password :</p>
            <span class="weight">Lorem Impsm</span>
        </div> -->
    </section>
    <section class="form-view" *ngIf="togglePasswordInfo">
        <form [formGroup]="passwordInfoForm">
            <mat-form-field>
                <mat-label>Current Password</mat-label>
                <input type="password" matInput formControlName="currentPassword" required autocomplete="off"/>
                <span class="custom-error" *ngIf="isIncorrectPassword">The password entered is incorrect. Please enter correct password</span>
            </mat-form-field>
            <mat-form-field>
                <mat-label>New Password</mat-label>
                <input matInput type="password" formControlName="newPassword" required autocomplete="off" />
            </mat-form-field>
            <mat-form-field>
                <mat-label>Confirm New Password</mat-label>
                <input matInput type="password" formControlName="confirmNewPassword" (keyup)="onConfirmPassword()" required autocomplete="off" />
                <div class="pl-icon">
                    <i *ngIf="!isPasswordMismatch" class="fa fa-check-circle" aria-hidden="true"></i>
                </div>
                <span class="custom-error" *ngIf="isPasswordMismatch">Your new password and confirm password are not equal.</span>
            </mat-form-field>
        </form>
    </section>
    <div class="btn-group">
        <!-- <button mat-button class="button-primary" *ngIf="!togglePasswordInfo"
            (click)="togglePasswordInfo = !togglePasswordInfo">Edit</button>
        <button mat-button class="button-primary cancel-btn" *ngIf="togglePasswordInfo"
            (click)="togglePasswordInfo = !togglePasswordInfo">Cancel</button> -->
        <button mat-button class="button-primary"
            *ngIf="togglePasswordInfo" (click)="onResetPassword()" [disabled]="!passwordInfoForm.valid || isPasswordMismatch">Submit</button>
    </div>
</div>